classification
Title: A lack of line 6
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, python-dev, woo yoo
Priority: normal Keywords:

Created on 2016-12-12 12:10 by woo yoo, last changed 2016-12-15 02:38 by berker.peksag. This issue is now closed.

Messages (5)
msg282987 - (view) Author: woo yoo (woo yoo) Date: 2016-12-12 12:10
This is the documented rule, which lacks a comma within the last line.
keywords_arguments   ::=  (keyword_item | "**" expression)
                          ("," keyword_item | "**" expression)*
The correct form should be:
keywords_arguments   ::=  (keyword_item | "**" expression)
                          ("," keyword_item |",""**" expression)*

The original documentation is https://docs.python.org/3/reference/expressions.html#calls
msg282988 - (view) Author: woo yoo (woo yoo) Date: 2016-12-12 12:13
There is no line 6 between line 7 and line 5.
Here is the original documentationhttps://docs.python.org/3/library/stdtypes.html#old-string-formatting
msg283066 - (view) Author: Josh Rosenberg (josh.r) * (Python triager) Date: 2016-12-13 01:03
You're reusing the same issue for completely different things. Make a separate issue for separate docs issues.
msg283229 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-15 02:37
New changeset a89469328b78 by Berker Peksag in branch '3.5':
Issue #28944: Fix footnote numbering
https://hg.python.org/cpython/rev/a89469328b78

New changeset 502f5d53fb4a by Berker Peksag in branch '3.6':
Issue #28944: Merge from 3.5
https://hg.python.org/cpython/rev/502f5d53fb4a

New changeset 13b600dc4ee5 by Berker Peksag in branch 'default':
Issue #28944: Merge from 3.6
https://hg.python.org/cpython/rev/13b600dc4ee5
msg283230 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-12-15 02:38
Thanks for the report, woo woo.
History
Date User Action Args
2016-12-15 02:38:41berker.peksagsetstatus: open -> closed

type: behavior
versions: + Python 3.6, Python 3.7
nosy: + berker.peksag

messages: + msg283230
resolution: fixed
stage: resolved
2016-12-15 02:37:57python-devsetnosy: + python-dev
messages: + msg283229
2016-12-13 20:17:16josh.rsetnosy: - josh.r
2016-12-13 01:03:37josh.rsetnosy: + josh.r
messages: + msg283066
2016-12-12 12:13:05woo yoosetmessages: + msg282988
title: A lack of comma within EBNF rule of keywords_arguments -> A lack of line 6
2016-12-12 12:10:28woo yoocreate